# Python 2.7
import socket
import RPi.GPIO as GPIO
UDP_IP = "192.168.002.105"
UDP_PORT = 1600
sock = socket.socket(socket.AF_INET, socket.SOCK_DGRAM)
sock.bind((UDP_IP, UDP_PORT))
GPIO.setmode(GPIO.BCM)
while True:
    data, adr = sock.recvfrom(1024)
    # Inputs
    # Format: BORIS sends 'RInn'
    #         nn: pin number
    #         Sample: RI24 -> Read input pin 24
    #         Raspberry answers '0' or '1'
    if (data[0] == "R"):
        i = int(data[2]+data[3])
        GPIO.setup(i, GPIO.IN)
        n = GPIO.input(i)
        if (n == 1):
            sock.sendto("1", adr)
        if (n == 0):
            sock.sendto("0", adr)
    # Outputs
    # Format: BORIS sends 'WOnn:v'
    #         nn: pin number, v: value to write ('0' or '1')
    #         Sample: WO25:1 -> Write 1 to output pin 25
    #         Raspberry answers 'OK'
    if (data[0] == "W"):
        i = int(data[2]+data[3])
        v = int(data[5])
        GPIO.setup(i, GPIO.OUT)
        if (v == 0):
            GPIO.output(i, GPIO.LOW)
        if (v == 1):
            GPIO.output(i, GPIO.HIGH)
        sock.sendto("OK", adr)
