# Python 2.7
import socket
import pifacedigitalio as pfio
UDP_IP = "192.168.002.105"
UDP_PORT = 1600
sock = socket.socket(socket.AF_INET, socket.SOCK_DGRAM)
sock.bind((UDP_IP, UDP_PORT))
pfio.init()
while True:
    data, adr = sock.recvfrom(1024)
    # Inputs
    # Format: BORIS sends 'RIn'
    #         n: I/O number
    #         Sample: RI2 -> Read input 2
    #         Raspberry answers '0' or '1'
    if (data[0] == "R"):
        i = int(data[2])
        n = pfio.digital_read(i)
        if (n == 0):
            sock.sendto("0", adr)
        if (n == 1):
            sock.sendto("1", adr)
    # Outputs
    # Format: BORIS sends 'WOn:v'
    #         n: I/O number, v: value to write ('0' or '1')
    #         Sample: WO5:1 -> Write 1 to output 5
    #         Raspberry answers 'OK'
    if (data[0] == "W"):
        i = int(data[2])
        v = int(data[4])
        pfio.digital_write(i, v)
        sock.sendto("OK", adr)
